Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.rtmp
Interface RTMPMinaConnectionMBean

All Known Implementing Classes:
  EdgeRTMPMinaConnection, RTMPMinaConnection

    public interface RTMPMinaConnectionMBean

Base abstract class for connections. Adds connection specific functionality like work with clients to AttributeStore.

Method Summary
`void` | `close()`
`Map<String,Object>` | `getConnectParams()`
`long` | `getDroppedMessages()`
`String` | `getHost()`
`String` | `getPath()`
`long` | `getPendingMessages()`
`long` | `getPendingVideoMessages(int streamId)`
`long` | `getReadBytes()`
`long` | `getReadMessages()`
`String` | `getRemoteAddress()`
`List<String>` | `getRemoteAddresses()`
`int` | `getRemotePort()`
`String` | `getSessionId()`
`String` | `getType()`
`long` | `getWrittenBytes()`
`long` | `getWrittenMessages()`
`void` | `invokeMethod(String method)`
`boolean` | `isConnected()`

Method Detail

### getType

    String getType()

### getHost

    String getHost()

### getRemoteAddress

    String getRemoteAddress()

### getRemoteAddresses

    List<String> getRemoteAddresses()

### getRemotePort

    int getRemotePort()

### getPath

    String getPath()

### getSessionId

    String getSessionId()

### getConnectParams

    Map<String,Object> getConnectParams()

### isConnected

    boolean isConnected()

### close

    void close()

### getReadBytes

    long getReadBytes()

### getWrittenBytes

    long getWrittenBytes()

### getReadMessages

    long getReadMessages()

### getWrittenMessages

    long getWrittenMessages()

### getDroppedMessages

    long getDroppedMessages()

### getPendingMessages

    long getPendingMessages()

### getPendingVideoMessages

    long getPendingVideoMessages(int streamId)

### invokeMethod

    void invokeMethod(String method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project